ListFormat.Style (Java SE 25 & JDK 25)
Description: declaration: module: java.base, package: java.text, class: ListFormat, enum: Style
Keywords: java.text.ListFormat.Style class

# Enum Class ListFormat.Style

java.lang.Object
java.lang.Enum<ListFormat.Style>
java.text.ListFormat.Style

All Implemented Interfaces:
  `Serializable, Comparable<ListFormat.Style>, Constable`

Enclosing class:
  `ListFormat`

public static enum ListFormat.Style extends Enum<ListFormat.Style>
A ListFormat style - `FULL`, `SHORT`, and `NARROW`.

`Style` is an enum which represents the style for formatting a list within a given `ListFormat` instance.

Since:
  22

- ## Nested Class Summary

  ### Nested classes/interfaces declared in class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `FULL`
  The `FULL` ListFormat style.
  `NARROW`
  The `NARROW` ListFormat style.
  `SHORT`
  The `SHORT` ListFormat style.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ListFormat.Style`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ListFormat.Style[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods declared in class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods declared in class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### FULL

    public static final ListFormat.Style FULL
    The `FULL` ListFormat style. This is the default style, which typically is the full description of the text and punctuation that appear between the list elements. Suitable for elements, such as "Monday", "Tuesday", "Wednesday", etc.

  - ### SHORT

    public static final ListFormat.Style SHORT
    The `SHORT` ListFormat style. This style is typically an abbreviation of the text and punctuation that appear between the list elements. Suitable for elements, such as "Mon", "Tue", "Wed", etc.

  - ### NARROW

    public static final ListFormat.Style NARROW
    The `NARROW` ListFormat style. This style is typically the shortest description of the text and punctuation that appear between the list elements. Suitable for elements, such as "M", "T", "W", etc.

- ## Method Details

  - ### values

    public static ListFormat.Style[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ListFormat.Style valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null